Name:		t-lasku
Version:	1.19.0
Release:	%mkrel 2
Summary:	Finnish invoicing software
Group:		Office/Finance
License:	BSD
URL:		http://helineva.net/%{name}/
Source0:	http://helineva.net/%{name}/%{name}-%{version}-i386.tar.gz
Source1:	http://helineva.net/%{name}/%{name}-%{version}-amd64.tar.gz
BuildRequires:	qt4-devel >= 4:4.6
Requires:	qt4-database-plugin-sqlite

%description
T-lasku is a Finnish invoicing software for Linux.

%prep
%ifarch x86_64
%setup -q -T -b1
%else
%setup -q -T -b0
%endif

%build
g++ %{optflags} %{ldflags} -o t-lasku t-lasku-relocatable \
	-lQtScript -lQtSql -lQtGui -lQtCore -lpthread

%install
install -Dpm755 %{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=T-lasku
GenericName=Invoicing software
Comment=Finnish invoicing software
Terminal=false
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Qt;Office;Finance;X-MageiaLinux-CrossDesktop;
EOF

# Install hicolor icons
for i in 16x16 24x24 32x32 48x48
do
	install -Dpm 644 images/%{name}-$i.png %{buildroot}%{_datadir}/icons/hicolor/$i/apps/%{name}.png
done

#translations
mkdir -p %{buildroot}%{_datadir}/%{name}/translations/
cp translations/* %{buildroot}%{_datadir}/%{name}/translations/

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Oct 31 2013 tmb <tmb> 1.19.0-2.mga4
+ Revision: 548497
- Mageia 4 rebuild

* Sun Aug 11 2013 wally <wally> 1.19.0-1.mga4.nonfree
+ Revision: 465583
- new version 1.19.0

* Sat Jun 08 2013 wally <wally> 1.18.2-1.mga4.nonfree
+ Revision: 440650
- new version 1.18.2

* Mon Jan 14 2013 umeabot <umeabot> 1.18.0-2.mga3.nonfree
+ Revision: 383990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 wally <wally> 1.18.0-1.mga3.nonfree
+ Revision: 334726
- new version 1.18.0
- clean .spec

* Thu Nov 08 2012 wally <wally> 1.17.0-1.mga3.nonfree
+ Revision: 316493
- fix RPM group
- new version 1.17.0

* Tue May 29 2012 wally <wally> 1.16.0-1.mga3.nonfree
+ Revision: 249467
- new version 1.6.0

* Sun Jan 01 2012 wally <wally> 1.15.0-1.mga2.nonfree
+ Revision: 189474
- new version 1.15.0

* Tue Dec 06 2011 wally <wally> 1.14.0-1.mga2.nonfree
+ Revision: 177385
- new version 1.14.0

* Sun Oct 02 2011 wally <wally> 1.13.1-1.mga2.nonfree
+ Revision: 150952
- new version 0.13.1

* Sun Sep 18 2011 wally <wally> 1.13.0-1.mga2.nonfree
+ Revision: 145133
- new version 1.13.0
- new version 1.12.0
- new version 1.11.0
- new version 1.10.0
- rename the .desktop file

* Sat Jul 09 2011 wally <wally> 1.9.7-1.mga2.nonfree
+ Revision: 121164
- new version 1.6.7

* Tue Jun 07 2011 wally <wally> 1.9.6-1.mga2.nonfree
+ Revision: 101481
- new version 1.9.6

* Wed May 11 2011 wally <wally> 1.9.4-1.mga1
+ Revision: 97294
- new version 1.9.4

* Wed May 04 2011 wally <wally> 1.9.2-1.mga1
+ Revision: 94921
- new version 1.9.2

* Mon Apr 18 2011 wally <wally> 1.9.1-1.mga1
+ Revision: 87852
- new version 1.9.1

* Wed Apr 13 2011 wally <wally> 1.9.0-1.mga1
+ Revision: 84431
- new version 1.9.0

* Sat Feb 26 2011 wally <wally> 1.8.0-1.mga1
+ Revision: 60190
- new version 1.8.0
- drop buildroot definition

* Sun Feb 13 2011 wally <wally> 1.7.0-2.mga1
+ Revision: 51245
- imported package t-lasku

